Bug 1956965 - f34/fedora-toolbox podman entry on https://registry.fedoraproject.org/ is broken
Summary: f34/fedora-toolbox podman entry on https://registry.fedoraproject.org/ is broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Container Images
Classification: Fedora
Component: fedora-toolbox
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 18:48 UTC by syb_log
Modified: 2021-05-10 06:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-10 06:05:29 UTC
Type: Bug


Attachments (Terms of Use)

Description syb_log 2021-05-04 18:48:07 UTC
Description of problem:

The podman command listed for f34/fedora-toolbox on https://registry.fedoraproject.org/ returns an error


Version-Release number of selected component (if applicable):

f34

How reproducible:


Steps to Reproduce:
1. $ podman pull registry.fedoraproject.org/f34/fedora-toolbox


Actual results:

Trying to pull registry.fedoraproject.org/f34/fedora-toolbox:latest...
  manifest unknown: manifest unknown
Error: Error initializing source docker://registry.fedoraproject.org/f34/fedora-toolbox:latest: Error reading manifest latest in registry.fedoraproject.org/f34/fedora-toolbox: manifest unknown: manifest unknown


Expected results:

Succesful installation

Additional info:

Comment 1 Jens Petersen 2021-05-05 03:58:12 UTC
f34/fedora-toolbox is deprecated by fedora-toolbox:34.
The toolbox images are only designed to work via the toolbox cli.

If you are trying to use toolbox, just run:

$ toolbox create

(optionally with --release 34 if you are not running Fedora 34 yet).

that will offer to pull down fedora-toolbox:34 directly.

Comment 2 syb_log 2021-05-09 18:33:16 UTC
Ok, that works. Thanks!


Note You need to log in before you can comment on or make changes to this bug.